Attribute VB_Name = "Module1"
Private Declare Function EnumWindows& Lib "user32" (ByVal lpEnumFunc As Long, ByVal lParam As Long)
Private Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hWnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Private Declare Function IsWindowVisible& Lib "user32" (ByVal hWnd As Long)
Private Declare Function GetParent& Lib "user32" (ByVal hWnd As Long)

' This function is called for each window handle present
Function EnumWinProc(ByVal hWnd As Long, ByVal lParam As Long) As Long
  Dim k As Long, sName As String
  If IsWindowVisible(hWnd) And GetParent(hWnd) = 0 Then
     sName = Space$(128)
     k = GetWindowText(hWnd, sName, 128)
     If k > 0 Then
        sName = Left$(sName, k)
        Form1.List1.AddItem Hex$(hWnd) + vbTab + sName + vbTab
     End If
  End If
  EnumWinProc = 1 ' So long as EnumWinProc returns 1, the enumeration continues.
End Function

Public Sub StartEnumeration()
  EnumWindows AddressOf EnumWinProc, vbNull
End Sub
